|  | ## Cheshire3 Object Model: Class GeniaStemNormalizer

Package textmining :: Module tmNormalizer :: Class GeniaStemNormalizer

## Class GeniaStemNormalizer
source code

Object Tree:

               object --+
                        |
    configParser.C3Object --+
                            |
       baseObjects.Normalizer --+
                                |
      normalizer.SimpleNormalizer --+
                                    |
                                   GeniaStemNormalizer

Take output from GeniaNormalizer and return stems as terms
Instance Methods

process_hash(self, session, data) Process a hash of values into alternative forms.
Inherited from `normalizer.SimpleNormalizer`: `__init__`, `process_string` Inherited from `configParser.C3Object`: `auth_function`, `get_config`, `get_default`, `get_object`, `get_path`, `get_setting`, `log_function`, `unauth_function`, `unlog_function` Inherited from `configParser.C3Object` (private): `_getDomFromFile`, `_handleConfigNode`, `_parseIncludes`, `_recurseSubConfigs`, `_verifyDefault`, `_verifyOption`, `_verifySetting` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables

Inherited from `configParser.C3Object`: `configStore`, `defaults`, `functionLogger`, `id`, `name`, `objectType`, `objects`, `parent`, `paths`, `permissionHandlers`, `settings`, `subConfigs`, `unresolvedObjects` Inherited from `configParser.C3Object` (private): `_includeConfigStores`, `_objectRefs` Inherited from `object`: `__class__`

Method Details

### process_hash(self, session, data) | source code
Process a hash of values into alternative forms. Overrides: normalizer.SimpleNormalizer.process_hash